# $Revision: 1.24 $, $Date: 2006/09/08 18:03:48 $
Summary:	A Gopher Server
Summary(pl):	Serwer protokou gopher
Name:		gofish
Version:	0.22
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/gofish/%{name}-%{version}.tar.gz
# Source0-md5:	d8ae50689d86344e8f279a915ed31844
Source1:	%{name}.logrotate
Source2:	gopherd.init
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-man.patch
URL:		http://gofish.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	logrotate
Provides:	gopher-server
Obsoletes:	gopher-server
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GoFish is a simple gopher / web server. It is designed with security
and low resource usage in mind. GoFish uses a single process that
handles all the connections. This provides low resource usage, good
latency (no context switches), and good scalability.

GoFish runs in a chroot(2) environment. This means that GoFish can
only serve files from the root directory or below. While GoFish must
run at root privilege to be able to use port 70, it drops to a normal
user while accessing files.

%description -l pl
GoFish jest prostym serwerem protokou gopher. Zosta stworzony z
myl o bezpieczestwie i maym zuyciu zasobw. GoFish uywa
pojedynczego procesu obsugujcego wszystkie poczenia. Daje to mae
zuycie zasobw, dobre opnienia (brak zmian kontekstu) oraz dobr
skalowalno.

GoFish dziaa w rodowisku chroot(2). Oznacza to, e moe udostpnia
pliki tylko z wasnego katalogu gwnego i z wewntrz niego. Chocia
GoFish musi by uruchamiany z prawami roota, aby uy portu 70,
zmienia uprawnienia na zwykego uytkownika przed dostpem do plikw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{logrotate.d,rc.d/init.d},/var/log/gofish}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	rootdir=/home/services/gopherd

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/gopherd

touch $RPM_BUILD_ROOT/var/log/gofish/{gopherd,gofish}.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 30 gopher
%useradd -u 13 -g 30 -d /no/home -s /bin/false -c "gopherd user" gopher

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gofish*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(754,root,root) /etc/rc.d/init.d/gopherd
%attr(750,gopher,gopher) /home/services/gopherd
%attr(755,gopher,gopher) %dir /var/log/gofish
%ghost /var/log/gofish/gopherd.log
%ghost /var/log/gofish/gofish.log
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gofish.spec,v $
Revision 1.24  2006/09/08 18:03:48  glen
- rel 4 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.23  2006/04/14 15:02:55  glen
- rel 3

Revision 1.22  2005/05/02 18:23:51  glen
- adapterized

Revision 1.21  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.20  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.19  2004/09/01 21:09:15  zboczuch
- exit codes like in pygopherd.spec
- rel. 0.6

Revision 1.18  2004/08/29 00:41:23  ankry
- Provides/Obsoletes: gopher-server, rel. 2

Revision 1.17  2003/11/08 23:09:20  qboosh
- fixed Source0 URL, BR: ac,am

Revision 1.16  2003/07/03 14:18:19  qboosh
- no // in file paths

Revision 1.15  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.14  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/17 06:12:09  pascalek
- revert user changes

Revision 1.11  2003/05/10 10:13:53  pascalek
- Req user-gopher

Revision 1.10  2002/12/16 15:12:37  depesz
- new version (0.22) - fixed memory leak

Revision 1.9  2002/12/07 23:49:19  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.8  2002/12/07 14:33:00  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.7  2002/11/14 09:01:47  kloczek
- cosmetics and minor changes.

Revision 1.6  2002/11/02 17:15:42  depesz
- added init script (is this script o.k.???)
- modified logdir
- modified ownership of gohper-space
- still not to be included in distribution!

Revision 1.5  2002/11/02 16:10:17  depesz
- typo

Revision 1.4  2002/11/02 13:33:18  ankry
- changed dirs
- added -PLD (fixing paths) and -man (typos in manpages) patches
- added *.logrotate
- added %pre script
  probably still unfinished

Revision 1.3  2002/11/02 10:48:47  depesz
- new version
- corrected (to http://) path to source file

Revision 1.2  2002/11/01 14:38:12  qboosh
- pl description, some cleanups (probably still NFY)

Revision 1.1  2002/10/28 09:27:43  depesz
- initial, but working release
- still some work has to be done
